Skip to content
Pages in Reference

Backup Destinations

Reference Updated View as Markdown
Method Path What it does Permission Sudo Approval
GET /api/backup-destinations List Destinations backups.read
POST /api/backup-destinations Create Destination backups.manage yes
GET /api/backup-destinations/backends List Backends backups.read
POST /api/backup-destinations/protect Protect Credentials backups.manage yes
PUT /api/backup-destinations/{name} Update Destination backups.manage yes
DELETE /api/backup-destinations/{name} Delete Destination backups.manage yes
GET /api/backup-destinations/{name}/backups List Remote Backups backups.read
POST /api/backup-destinations/{name}/backups/{backup_id}/restore Restore From Destination backups.manage yes
POST /api/backup-destinations/{name}/show-key Show Key secrets.reveal yes
POST /api/backup-destinations/{name}/test Test Destination backups.run

Something on this page is wrong or unclear? Report it on GitHub.

Help, contributing and the project’s policies are under Project.

Search the documentation

Type to search every page.

↑ ↓ to move, Enter to open, Esc to close